Bug 226076 - Merge Review: libXi
Merge Review: libXi
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:31 EST by Nobody's working on this, feel free to take it
Modified: 2008-01-15 22:16 EST (History)
4 users (show)

See Also:
Fixed In Version: libXi-1.1.3-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 22:16:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:31:00 EST
Fedora Merge Review: libXi

http://cvs.fedora.redhat.com/viewcvs/devel/libXi/
Initial Owner: sandmann@redhat.com
Comment 1 Parag AN(पराग) 2007-09-03 11:26:37 EDT
rpmlint on Binary rpm gave me
E: libXi zero-length /usr/share/doc/libXi-1.0.4/README
E: libXi zero-length /usr/share/doc/libXi-1.0.4/AUTHORS
  => Remove zero-length files from installing them on system.
W: libXi invalid-license MIT/X11
The value of the License tag was not recognized.  Known values are:
"AFL", "Affero GPL", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL 1.1+", "ASL 2.0",
"ASL 2.0+", "APSL 2.0", "APSL 2.0+", "Artistic clarified", "Boost", "BSD with
advertising", "BSD", "CeCILL", "CDDL", "CPL", "Condor", "Cryptix", "EPL",
"eCos", "EFL 2.0", "EFL 2.0+", "EU Datagrid", "GPL+", "GPLv2", "GPLv2+",
"GPLv3", "GPLv3+", "IBM", "iMatix", "Intel ACPI", "Interbase", "Jabber",
"LaTeX", "LGPL+", "LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv3",
"LGPLv3+", "LPL", "mecab-ipadic", "MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "NCSA", "NGPL", "NOSL", "Netscape", "Nokia", "OpenLDAP", "OSL
1.0", "OSL 1.0+", "OpenSSL", "Phorum", "PHP", "Public Domain", "Python",
"QPL", "RPSL", "Ruby", "Sleepycat", "SMLNJL", "SISSL", "SPL", "Vim", "VNLSL",
"VSL", "W3C", "WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+",
"ZPLv2.0", "ZPLv2.0+", "zlib", "CDL", "FBSDDL", "GFDL", "Open Publication",
"CC-BY", "CC-BY-SA", "DSL", "Free Art", "Arphic", "SIL Open Font",
"Redistributable, no modification permitted", "Freely redistributable without
restriction".

 =>update license tag. (MIT looks ok but X11 is not recognized)

W: libXi obsolete-not-provided XFree86-libs
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a compatible
replacement for the old one, leave out the provides.

W: libXi obsolete-not-provided xorg-x11-libs
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a compatible
replacement for the old one, leave out the provides.

=> add Provides: tag with versions
   check
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-3cfc1ea19d28975faad9d56f70a6ae55661d3c3d
Comment 2 Parag AN(पराग) 2007-09-27 23:38:25 EDT
ping?
Can you update SPEC for further review?
Comment 3 Parag AN(पराग) 2008-01-11 04:25:48 EST
This is merge-review where maintainer should be assumed to be capable of solving
simple packaging issues and not required to ask reviewer to give patch.
Comment 4 Parag AN(पराग) 2008-01-11 05:47:02 EST
sandmann,
   As you asked me to provide patch here it is
--- libXi.spec  2007-09-24 23:55:47.000000000 +0530
+++ libXi-new.spec      2008-01-11 15:49:43.000000000 +0530
@@ -1,8 +1,8 @@
 Summary: X.Org X11 libXi runtime library
 Name: libXi
 Version: 1.1.3
-Release: 1%{?dist}
-License: MIT/X11
+Release: 2%{?dist}
+License: MIT
 Group: System Environment/Libraries
 URL: http://www.x.org
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -63,7 +63,7 @@
 
 %files
 %defattr(-,root,root,-)
-%doc AUTHORS COPYING README ChangeLog
+%doc COPYING ChangeLog
 %{_libdir}/libXi.so.6
 %{_libdir}/libXi.so.6.0.0
 
@@ -78,6 +78,9 @@
 %{_mandir}/man3/*.3*
 
 %changelog
+* Fri Jan 11 2008 parag <paragn@fedoraproject.org> 1.1.3-2
+- Merge-review #226076
+
 * Mon Sep 24 2007 Adam Jackson <ajax@redhat.com> 1.1.3-1
 - libXi 1.1.3
 
Review this patch and open ACL for this package if you are not have enough time
to resolve this ticket.
Comment 5 Søren Sandmann Pedersen 2008-01-11 14:21:00 EST
> This is merge-review where maintainer should be assumed to be capable of
solving simple packaging issues and not required to ask reviewer to give patch.

This is an open source project where whoever wants something done, gets to do
the work. 

This patch looks fine. Please commit. The ACL's for this package are already open.
Comment 6 Patrice Dumas 2008-01-11 14:24:50 EST
(In reply to comment #5)

> This is an open source project where whoever wants something done, gets to do
> the work. 

That's partly true, but we also have guidelines and packages that
don't follow guidelines cannot enter the distribution. Here the 
package is already in, but the idea remains the same.
Comment 7 Parag AN(पराग) 2008-01-15 22:16:24 EST
Thanks to bpepple for correcting pkgconfig.
As package build with above fixes.
CLOSING.

Note You need to log in before you can comment on or make changes to this bug.